Subject: package awesome not reproducible

From: Brandon <[email-masked]>
Date: Sun, 26 Dec 2021 13:45:19 +0000

The build for awesome 4.3 is (no longer) reproducible.
I assume it once was, as it specifically has patches applied in the definition for the sake of achieving reproducibility.

My current checkout:

```
~$ guix describe
Generation 23	Dec 26 2021 12:19:56	(current)
  guix 2495582
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 2495582e08cf411163f0799d290fda5101141949
```

build --check output:

```
~$ guix build awesome --check -K --no-grafts
[...]
guix build: error: derivation `/gnu/store/jg8mzkgw29ym6vh5iy90z5smf4lahgjr-awesome-4.3.drv' may not be deterministic: output `/gnu/store/fcya72kn16vxj6gq7d2xyd2fwr3sbikj-awesome-4.3' differs from ‘/gnu/store/fcya72kn16vxj6gq7d2xyd2fwr3sbikj-awesome-4.3-check’
```

Please see attached diffoscope output.

It looks like the lua-ldoc output is non-deterministic.

Adding "-DGENERATE_DOC=off" to #:configure-flags seems to fix the issue for awesome.

Not sure if that's considered an acceptable solution though.

I don't use those generated html docs so I don't mind. :D

Perhaps the more correct solution is to patch lua-ldoc upstream.

But from the guix perspective, awesome is the only package depending on it currently, afaict.